<article class="post" id="post{{idx}}" *ngFor="let article of articles()let idx=index">
  <his-article-header [article]="article" (deleteArticle)="onDeleteArticle($event)" (updateTitle)="onUpdateTitle($event)"></his-article-header>
  <his-article-body [article]="article"></his-article-body>
</article>
